## org.omg.CORBA
Class ServiceInformationHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceInformationHelper

public class ServiceInformationHelper
extends java.lang.Object

Helper class for : ServiceInformation

Author:
  OpenORB Compiler

Constructor Summary
`ServiceInformationHelper()`

Method Summary
`static ServiceInformation` `extract(Any a)` Extract ServiceInformation from an any
`static java.lang.String` `id()` Return the ServiceInformation IDL ID
`static void` `insert(Any a, ServiceInformation t)` Insert ServiceInformation into an any
`static ServiceInformation` `read(InputStream istream)` Read ServiceInformation from a marshalled stream
`static TypeCode` `type()` Return the ServiceInformation TypeCode
`static void` `write(OutputStream ostream, ServiceInformation value)` Write ServiceInformation into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInformationHelper

    public ServiceInformationHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServiceInformation t)

  Insert ServiceInformation into an any
  Parameters:
    `a` - an any
    `t` - ServiceInformation value

### extract

    public static ServiceInformation extract(Any a)

  Extract ServiceInformation from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceInformation value

### type

    public static TypeCode type()

  Return the ServiceInformation TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceInformation IDL ID
  Returns:
    an ID

### read

    public static ServiceInformation read(InputStream istream)

  Read ServiceInformation from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceInformation value

### write

    public static void write(OutputStream ostream,
                             ServiceInformation value)

  Write ServiceInformation into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceInformation value